# PFotos 1.4 Copyright(C) 2017-2021 Cora Kohlmeier, Frank Hamberg
# Origianl from MoViE 4.2.1 Copyright(C) 2017 Cora Kohlmeier, Frank Hamberg
proc makehistcolor {} {
global histcolor colmax colmin histcoltab
global pfotoshome fg

set colordir "$pfotoshome/info/colors"
if [info exists histcolor] {unset histcolor}
set colorize 1
switch $histcoltab {
             black&white {
                set colmax 255
                set colmin 2
                set id [open $colordir/blackwhite.dat r]
               }
             blue&white { 
                set colmax 230
                set colmin 2
                set id [open $colordir/bluewhite.dat r]
               }
             green&white { 
                set colmax 230
                set colmin 80
                set id [open $colordir/greenwhite.dat r]
               }
             red { 
                set colmax 230
                set colmin  80
                set id [open $colordir/redtemp.dat r]
               }
             prism {
                set colmax 192
                set colmin 86
                set id [open $colordir/prism.dat r]
               }
             mono {
				set colorize 0 
                set colmax 1
                set colmin 0
               }
             default {
				set colorize 0 
                set colmax 1
                set colmin 0
               }
             }

if {$colorize == 1 } {
	set i 0
	while {[gets $id line] >=0} {
	  set r [format "%x" [lindex $line 0]]
	  if {[string length $r] <2} {set r 0$r}
	
	  set g [format "%x" [lindex $line 1]]
	  if {[string length $g] <2} {set g 0$g}
	
	  set b [format "%x" [lindex $line 2]]
	  if {[string length $b] <2} {set b 0$b}
	
	  set histcolor($i) #$r$g$b
	  incr i
	}
	close $id
} else {
	set histcolor(0) $fg 
	set histcolor(1) $fg
}	 
}

