# PFotos 1.4 Copyright(C) 2017-2021 Cora Kohlmeier, Frank Hamberg
proc makeframe {tool} {
global toollist wmheight wmwidth mainframe
global bg fg fs
#global tf_status

#set tf_status 0
set new_wmwidth [expr [winfo reqwidth .top] + 25]
if {$wmwidth < $new_wmwidth} {
	set wmwidth $new_wmwidth
    wm geometry . "$wmwidth\x$wmheight"
}    
destroy .main
if {[string match "histogram*" $tool]} {
   set mwin [ScrolledWindow .main  -scrollbar horizontal -auto horizontal -bg $bg -size $fs]
} else {
   set mwin [ScrolledWindow .main  -scrollbar both -auto both -bg $bg -size $fs]
}
pack .main -side left -fill both -expand true  

set mscrfr [ScrollableFrame .main.scfr -bg $bg]

grid $mscrfr -row 0 -column 0 -sticky news
grid rowconfigure $mscrfr 0 -weight 1 
grid columnconfigure $mscrfr 0 -weight 1
# Scrollable Frame im Scrolled Window registrieren
$mwin setwidget $mscrfr
# und den zugewiesenen Frame holen und merken
set mainframe [$mscrfr getframe]

set c .top
foreach item $toollist {
  $c.$item configure -state normal 
}

#Mehrfach druecken verhindern
$c.$tool configure -state disabled
update idletasks

}





