# PFotos 1.4 Copyright(C) 2017-2021 Cora Kohlmeier, Frank Hamberg
proc warnFilter {} {
global cal_rb disp_imagenumber disp_timeinterval disp_selection imagenumber imagecount fg warn tf_status env_ok toollist
global langstring lang excludedirlist excludetypelist excludefilelist excludenotime
set filteractive 0

$disp_timeinterval configure -fg $fg

 foreach item [array names cal_rb] { 
    	if {$cal_rb($item) < -1} {set filteractive 1}
}
if {$filteractive || $tf_status || $excludedirlist || $excludetypelist || $excludefilelist || $excludenotime} {
	$disp_imagenumber configure -fg $warn -text "$imagecount $langstring(of,$lang) $imagenumber"} else {$disp_imagenumber configure -text $imagenumber -fg $fg}
if {$tf_status} {$disp_timeinterval configure -fg $warn} else {$disp_timeinterval configure -fg $fg}

#if {$env_ok == 0} {
     #foreach item [lappend toollist extractExifs openfile about license] {
     #.top.$item configure -state disabled
     #}
     #.top.preferences configure -state normal -fg $warn
     #.top.help configure -state normal
     #$disp_selection configure -state disabled
#}
}


proc closeSelection {} {
global disp_selection sel_init finalpos
global bg abg fg bfg tf bfs fs dfg 
global langstring lang
# Da soll das LogWindow --> runlog.tcl positioneren, wenn der Prozess fertig ist. Default ist "end" 
set finalpos end
if [winfo exist .vs] {destroy .vs} 
# und nach dem Schließen dieses Fensters wieder zurückbauen 
if [winfo exist $disp_selection] {
   $disp_selection configure -text $langstring(show,$lang) -font "-size $fs" -bg $bg -fg $bfg -command {switchSelection};
# und showSelection wieder auf init setzen
   set sel_init 1
}
if [winfo exist .se] {set sel_init 1; destroy .se}
}

proc switchSelection {} {
global imagecount browserlimit
if {$imagecount <= $browserlimit} {
	showSelection2
   } else { 
	showSelection1
}	   	
}
