# PFotos 1.4 Copyright(C) 2017-2021 Cora Kohlmeier, Frank Hamberg
proc makeLabels {} {
global biniso binfocallength35 binfocallength binaperture binexposure 
global langstring lang DOS
global unknownvalue maxbinvalue
global binlabels

# dies solange, bis es gelingt mit tcl/wish in Windows ein ≤ auszugeben
if {$DOS==1} {
	set le_str $langstring(to,$lang)
	set gt_str $langstring(over,$lang)
} else {
	set le_str "≤"
	set gt_str ">"
}
	
set binlabels(flash,yes) $langstring(yes,$lang)
set binlabels(flash,no) $langstring(no,$lang)
set binlabels(cameras,unknown) $langstring(unknown,$lang)
set binlabels(lenses,unknown) $langstring(unknown,$lang)

set labelledbins [list "focallength35" "aperture" "iso" "exposure" "focallength"]
foreach widget $labelledbins {
	set constructor bin$widget
    set binlabels($widget,unknown) unknown
	foreach item [set $constructor] {
		if {$item eq $maxbinvalue($widget)} {
			set binlabels($widget,$item) "$gt_str $lastitem"
		   } else {
			set binlabels($widget,$item) "$le_str $item"}
			set lastitem $item
		}	
	}
 
}
