# PFotos 1.4 Copyright(C) 2017-2021 Cora Kohlmeier, Frank Hamberg
proc UpdateWidget {name binvalues {binlist ""}} {
global cal_a cal_rb cal_cb
global bg cw fs fg

set binmax [makeHistogram $name $binvalues bindata $binlist]
set k 1 

foreach item [lreverse $binlist] {
  set number [expr 1.0*$bindata($item)]
  set iheight 1
# verhindern, dass bei "none" die Bins zusammenfallen
  if {$number==0.0} {set number [expr $binmax +2]; set iheight 0}
  if {$name=="Flash"} {
   set w [expr int(5.0*$number/$binmax*$cw/2.0)]
  } else {
   set w [expr int(5.0*$number/$binmax*$cw)]
  }
  
  if {$bindata($item)>0} {set bgcol $fg} else {set bgcol $bg}
  $cal_a($name,$k.e) configure -text $bindata($item)
  $cal_a($name,$k.g) configure -width $w -bg $bgcol -highlightthickness $iheight

  incr k
}


}
